Commit ad16ba46 authored by Matthieu Dorier's avatar Matthieu Dorier
Browse files

margo package updated with version 0.4, requiring mercury 1.0.0 or up

parent c9b6d145
...@@ -26,13 +26,16 @@ from spack import * ...@@ -26,13 +26,16 @@ from spack import *
class Margo(AutotoolsPackage): class Margo(AutotoolsPackage):
"""a library that provides Argobots bindings to the Mercury RPC """A library that provides Argobots bindings to the Mercury RPC
implementation.""" implementation."""
homepage = "https://xgitlab.cels.anl.gov/sds/margo" homepage = 'https://xgitlab.cels.anl.gov/sds/margo'
git = 'https://xgitlab.cels.anl.gov/sds/margo.git'
version('master', git='https://xgitlab.cels.anl.gov/sds/margo.git') version('develop', branch='master')
depends_on('mercury', type=("build", "link", "run")) version('0.4', tag='v0.4', preferred=True)
depends_on('mercury@1.0.0:', type=("build", "link", "run"))
depends_on('argobots') depends_on('argobots')
depends_on('autoconf@2.65:', type=("build")) depends_on('autoconf@2.65:', type=("build"))
depends_on('automake', type=("build")) depends_on('automake', type=("build"))
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment